<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="csrf-token" content="{{ csrf_token() }}">
    <link rel="icon" href="/images/logo.svg" type="image/png">
    <title>@yield('title', config('app.name', 'Laravel'))</title>
    @livewireStyles
    @vite(['resources/css/app.css', 'resources/js/app.js'])
    <script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>

</head>

<body class="font-sans antialiased">
    <div class="flex min-h-screen">
        @include('components.sidebar')
        <div class="flex-1 flex flex-col ml-16 sm:ml-64 py-6 md:py-0">
            <livewire:layout.navigation />
            <main class="lg:p-6 mt-16">
                @yield('content')
            </main>
        </div>
    </div>
    @livewireScripts
</body>

</html>