<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="csrf-token" content="{{ csrf_token() }}">
    <link rel="icon" href="/images/logo.svg" type="image/png">

    <title>{{ config('app.name', 'Laravel') }}</title>

    @vite(['resources/css/app.css', 'resources/js/app.js'])

    {!! app('captcha')->renderJs() !!}
</head>

<body class="antialiased">
    <div class="min-h-screen flex flex-col sm:justify-center items-center pt-6 sm:pt-0 bg-cosmicLatte px-4 md:px-0">
        <div class="w-full sm:max-w-md mt-6 px-6 py-8 bg-white overflow-hidden rounded-lg ring-2 ring-gray-700">
            <div class="flex flex-col justify-center items-center mb-6 space-y-2">
                <a href="/" wire:navigate>
                    <x-application-logo class="w-20 h-20 fill-current text-gray-500" />
                </a>
                <h2 class="text-base font-medium text-gray-700">Solusi Tepat untuk Peternak Cerdas.</h2>
            </div>
            {{ $slot }}
        </div>
    </div>
</body>

</html>
